# $Revision: 1.47.2.4 $, $Date: 2007/04/19 17:32:59 $
Summary:	Next generation panel for Xfce
Summary(pl):	Panel nowej generacji dla Xfce
Name:		xfce4-panel
Version:	4.4.1
Release:	1
License:	GPL v2, LGPL v2
Group:		X11/Applications
Source0:	http://www.xfce.org/archive/xfce-%{version}/src/%{name}-%{version}.tar.bz2
# Source0-md5:	56b3137c190dd722dd5109be03901feb
Patch0:		%{name}-locale-names.patch
URL:		http://www.xfce.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	docbook-dtd412-xml
BuildRequires:	docbook-style-xsl
BuildRequires:	gettext-devel
BuildRequires:	gtk-doc-automake
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libtool
BuildRequires:	libxfce4mcs-devel >= %{version}
BuildRequires:	libxfcegui4-devel >= %{version}
BuildRequires:	libxml2-devel >= 1:2.6.26
BuildRequires:	libxslt-progs
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	xfce-mcs-manager-devel >= %{version}
BuildRequires:	xfce4-dev-tools >= 4.4.0
Requires(post,postun):	gtk+2
Requires(post,postun):	hicolor-icon-theme
Requires:	%{name}-libs = %{version}-%{release}
Requires:	xfce-mcs-manager >= %{version}
Requires:	xfce4-icon-theme
Obsoletes:	xfce4-iconbox
Obsoletes:	xfce4-showdesktop-plugin
Obsoletes:	xfce4-systray
Obsoletes:	xfce4-taskbar-plugin
Obsoletes:	xfce4-themes
Obsoletes:	xfce4-windowlist-plugin
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xfce4-panel is the panel for the Xfce desktop environment.

%description -l pl
xfce4-panel to panel dla rodowiska Xfce.

%package apidocs
Summary:	Xfce panel API documentation
Summary(pl):	Dokumentacja API panelu Xfce
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
Xfce panel API documentation.

%description apidocs -l pl
Dokumentacja API panelu Xfce.

%package libs
Summary:	xfce4panel library
Summary(pl):	Biblioteka xfce4panel
Group:		Development/Libraries

%description libs
This package contains xfce4panel library.

%description libs -l pl
Pakiet ten zawiera bibliotek xfce4panel.

%package devel
Summary:	Header files for building Xfce panel plugins
Summary(pl):	Pliki nagwkowe do budowania wtyczek panelu Xfce
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	libxfcegui4-devel >= %{version}
Requires:	libxml2-devel >= 1:2.6.26

%description devel
Header files for building Xfce panel plugins.

%description devel -l pl
Pliki nagwkowe do budowania wtyczek panelu Xfce.

%prep
%setup -q
%patch0 -p1

mv -f po/{nb_NO,nb}.po
mv -f po/{pt_PT,pt}.po

%build
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	--enable-gtk-doc \
	--enable-startup-notification \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/{,xfce4/{mcs-plugins,panel-plugins}}/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog HACKING NEWS README README.Kiosk README.Plugins
%attr(755,root,root) %{_bindir}/*

%dir %{_sysconfdir}/xdg/xfce4/panel
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/xfce4/panel/clock-14.rc
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/xfce4/panel/launcher-7.rc
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/xfce4/panel/launcher-8.rc
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/xfce4/panel/launcher-9.rc
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/xfce4/panel/launcher-10.rc
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/xfce4/panel/panels.xml
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/xfce4/panel/systray-4.rc
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/xfce4/panel/xfce4-menu-5.rc
%dir %{_libdir}/xfce4/panel-plugins
%attr(755,root,root) %{_libdir}/xfce4/mcs-plugins/*.so
%attr(755,root,root) %{_libdir}/xfce4/panel-plugins/*.so
%{_datadir}/xfce4/panel-plugins
%{_iconsdir}/hicolor/*/*/*
%{_desktopdir}/*.desktop

%{_datadir}/xfce4/doc/C/*
%docdir %{_datadir}/xfce4/doc

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libxfce4panel

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxfce4panel.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxfce4panel.so
%{_includedir}/xfce4/libxfce4panel
%{_pkgconfigdir}/*.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xfce4-panel.spec,v $
Revision 1.47.2.4  2007/04/19 17:32:59  megabajt
- updated to 4.4.1

Revision 1.47.2.3  2007/01/28 22:44:14  megabajt
- updated to 4.4.0, merged from HEAD

Revision 1.64  2007/01/28 14:04:51  megabajt
- added O: xfce4-windowlist-plugin, xfce4-taskbar-plugin, xfce4-showdesktop-plugin, xfce4-iconbox

Revision 1.63  2007/01/22 15:29:31  megabajt
- updated to 4.4.0
- added apidocs subpackage

Revision 1.62  2006/11/06 14:56:03  megabajt
- updated to 4.3.99.2 (Xfce 4.4RC2)

Revision 1.61  2006/09/11 14:36:14  megabajt
- fixed gtk-doc/html location (thx adgor)
- rel. 2

Revision 1.60  2006/09/04 19:35:32  megabajt
- up to 4.3.99.1
- use rpm macros
- rm filterout_ld definition (now it builds with --as-needed)

Revision 1.59  2006/08/20 16:04:52  qboosh
- filterout needs rpm.macros >= 1.315

Revision 1.58  2006/08/12 18:23:30  ankry
- formatting

Revision 1.57  2006/08/05 21:07:11  sparky
- convert no_build_with_as_needed 1 to filterout_ld -Wl,--as-needed

Revision 1.56  2006/07/24 18:23:46  freetz
- rel.2, disabled --as-needed

Revision 1.55  2006/07/16 15:56:26  freetz
- missing dir

Revision 1.54  2006/07/16 15:50:39  freetz
- clean up

Revision 1.53  2006/07/16 15:44:48  freetz
- merged from DEVEL

Revision 1.52.2.7  2006/07/16 15:42:54  freetz
- 4.3.90.2, updated deps, libs subpackage (builder friendly), updated
  file list, update icon cache, dropped outdated handle-option patch and
  removed obsolete configure_ac patch

Revision 1.52.2.6  2006/07/01 14:44:16  lmasko
- added patch xfce4-panel-configure_ac.patch to correct configure.ac syntax

Revision 1.52.2.5  2006/05/20 08:07:05  charles
- -devel now req. base

Revision 1.52.2.4  2006/05/20 07:50:34  charles
- fixed %files, cleanups

Revision 1.52.2.3  2006/05/17 03:59:24  charles
- BR: gtk-doc-automake

Revision 1.52.2.2  2006/04/27 20:51:03  troll
- Obsoletes: xfce4-systray

Revision 1.52.2.1  2006/04/20 16:29:44  troll
- updated to 4.3.90.1
- parts are licensed under LGPL v2
- disabled handle-options (probably not needed anymore)
- added --enable-gtk-doc to %%configure

Revision 1.47.2.2  2006/07/05 09:30:40  havner
- intltoolize before glib-gettextize

Revision 1.47.2.1  2006/07/05 09:18:59  havner
- 4.2.3, HEAD merge

Revision 1.52  2005/12/13 15:51:53  glen
- adapterized (sorted %verify attrs)

Revision 1.51  2005/11/10 05:38:05  charles
- updated to 4.2.3
- BR: docbook-dtd412-xml, docbook-style-xsl

Revision 1.50  2005/05/19 00:17:56  troll
- updated to 4.2.2
- BR: xfce4-dev-tools

Revision 1.49  2005/05/11 19:40:30  charles
- BR: gettext-devel

Revision 1.48  2005/05/11 00:38:37  koorek
- added patch that allow to remove handles
- rel up

Revision 1.47  2005/04/02 21:43:00  havner
- R: hicolor-icon-theme (for /usr/share/icons/hicolor)
- R: xfce4-icon-theme (for /usr/share/icons/Rodent)
- rel 2

Revision 1.46  2005/03/24 09:06:08  troll
- up to 4.2.1.1 - a bugfix release,
- adjusted BRs and Rs to fit general Xfce version

Revision 1.45  2005/03/16 20:30:51  qboosh
- wrr, copy-pasto

Revision 1.44  2005/03/16 01:51:35  koorek
- updated to 4.2.1
- mirror url for source

Revision 1.43  2005/01/18 11:54:52  charles
- devel doesn't require base

Revision 1.42  2005/01/18 11:06:21  charles
- proper R for devel
- added R base (incoherent update)

Revision 1.41  2005/01/17 12:53:55  troll
- updated to 4.2.0 final

Revision 1.40  2005/01/05 03:16:50  charles
- reverted Rs libxfce4mcs, libxfcegui4, xfce-mcs-manager

Revision 1.39  2005/01/04 17:05:26  charles
- proper BRs versions
- removed redundant R
- cosmetics in licence
- rel. 2 for STBR

Revision 1.38  2004/12/28 10:09:41  troll
- updated to 4.1.99.3 (4.2 RC3)

Revision 1.37  2004/12/22 15:31:16  troll
- seems that authors changed their mind regarding the name, unifications

Revision 1.36  2004/12/14 01:29:31  troll
- updated to 4.1.99.2 (4.2 RC2)

Revision 1.35  2004/11/27 19:21:10  saq
- massive attack: more BR epoch fixes

Revision 1.34  2004/11/27 13:30:01  havner
- O: xfce4-themes

Revision 1.33  2004/11/27 13:28:25  havner
- no themes dir, xfe4-themes seems to be obsolete

Revision 1.32  2004/11/26 18:18:14  havner
- typo

Revision 1.31  2004/11/25 23:15:38  qboosh
- doc/*/images dirs back to xfce-mcs-manager only

Revision 1.30  2004/11/25 23:06:29  qboosh
- missing dir, BR ac 2.50

Revision 1.29  2004/11/25 06:48:54  troll
- merged from DEVEL

Revision 1.24.2.14  2004/11/16 21:20:37  dzeus
- proper BR,R

Revision 1.24.2.13  2004/11/15 21:25:05  dzeus
- updated to 4.1.99.1 (4.2 RC1)

Revision 1.24.2.12  2004/11/08 16:50:11  troll
- updated to 4.1.91 (4.2 beta 2)

Revision 1.24.2.11  2004/10/07 18:42:20  troll
- updated to 4.1.90 (4.2 beta 1)

Revision 1.24.2.10  2004/08/16 18:58:17  havner
- [mass commit] 20040816
- not tested yet

Revision 1.24.2.9  2004/08/13 16:36:56  havner
- xfce4rc.ro

Revision 1.24.2.8  2004/08/13 16:32:25  havner
- wrr, again

Revision 1.24.2.7  2004/08/13 16:31:36  havner
- typo

Revision 1.24.2.6  2004/08/13 16:30:29  havner
- proper version
- proper BR
- 20040813

Revision 1.24.2.5  2004/08/06 23:19:53  havner
- typo

Revision 1.24.2.4  2004/08/06 23:01:22  havner
- 20040806

Revision 1.24.2.3  2004/08/06 20:09:27  havner
- removed modules dir, it does not exist

Revision 1.24.2.2  2004/06/22 13:22:19  jpc
- fixes from troll
- cosmetics

Revision 1.24.2.1  2004/06/16 17:10:30  jpc
- new snap 20040616
- autotoolize
- add icon & .desktop
- add french docs
- more translated config files

Revision 1.24  2004/04/18 07:37:48  ankry
- fixed src URL

Revision 1.23  2004/04/18 06:24:19  ankry
- switched to a working mirror

Revision 1.22  2004/04/16 22:16:23  troll
- updated to XFce-4.0.5
- more strict internal dependencies
- new Source0 (the old one doesn't exist anymore)

Revision 1.21  2004/03/14 20:13:29  adgor
- Some resources marked as %%lang()
- Rel++

Revision 1.20  2004/03/10 20:57:35  troll
- updated to 4.0.4

Revision 1.19  2004/01/12 21:27:12  undefine
- copy config.sub to allow build on amd64, release 2

Revision 1.18  2004/01/08 23:24:59  troll
- updated to 4.0.3

Revision 1.17  2003/12/28 23:28:16  troll
- updated to 4.0.2

Revision 1.16  2003/11/14 14:38:47  troll
- updated to 4.0.1
- unified BR versions

Revision 1.15  2003/11/13 11:59:11  qboosh
- updated -devel deps

Revision 1.14  2003/09/27 09:13:39  troll
- updated to 4.0.0

Revision 1.13  2003/09/14 15:59:06  troll
- updated to 3.99.4

Revision 1.12  2003/08/28 12:56:36  speedy
- fixed (installed but not in .rpm): /etc/xfce4/xfce4rc

Revision 1.11  2003/08/28 12:03:54  troll
- fixed *Requires' versions

Revision 1.10  2003/08/27 09:19:34  pascalek
- updated to 3.99.3

Revision 1.9  2003/08/12 23:54:17  ankry
- cosmetics

Revision 1.8  2003/08/01 14:48:43  qboosh
- /etc/xfce4 is in mcs-manager now

Revision 1.7  2003/07/25 08:50:47  pascalek
- updated to 3.99.2

Revision 1.6  2003/07/07 07:28:33  pascalek
- updated to 3.91.0

Revision 1.5  2003/06/18 07:46:37  qboosh
- BR: pkgconfig

Revision 1.4  2003/06/17 11:21:04  qboosh
- use _pkgconfigdir macro

Revision 1.3  2003/06/17 10:36:31  qboosh
- fixed -devel deps

Revision 1.2  2003/06/17 10:33:45  qboosh
- pl, cleanup, fixed file list, separated -devel

Revision 1.1  2003/06/14 19:51:34  pascalek
- initial release
